#include <iostream>

using namespace std;
struct vaga{
    int d;
    int g;};
struct why{
    int l;
    int r;
    int x;};

void vg(vaga a[],why w[],int n,int m){int br;
    for(int j=0;j<m;j++){br=0;
        for (int i=w[j].l-1; i<w[j].r; i++)
            {if(w[j].x <= a[i].g  &&  w[j].x >= a[i].d)
                br++;
            }
        cout<<br<<endl;
    }   
}

int main()
{   
    int n,m;
    cin>>n>>m;
    vaga v[n];
    why w[m];
    for(int i=0;i<n;i++)
        cin>>v[i].d>>v[i].g;
    for(int i=0;i<m;i++)
        cin>>w[i].l>>w[i].r>>w[i].x;
    vg(v,w,n,m);

    return 0;
}